<?php
// get these values from your DB.
require_once('config.php');
$error_message;
$valid = true;



$site_cd = $_REQUEST['site_cd'];
$audit_user = $_REQUEST['audit_user'];
$syn_mst_dvc_id = $_REQUEST['syn_mst_dvc_id'];


//Syn_mst Log files
$sql="Select * from syn_mst (NOLOCK) where site_cd ='".$site_cd."'  and audit_user ='".$audit_user."'and  syn_mst_dvc_id  ='".$syn_mst_dvc_id."'";
		
$stmt = sqlsrv_query( $conn, $sql);

if( !$stmt ) {
     $error_message = "Error selecting table (syn_mst)";
	 returnError($error_message);
     die( print_r( sqlsrv_errors(), true));
	 
}

$json= array();

do {
     while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {	
	 
		$json[] = $row;				
		
	
     }
} while ( sqlsrv_next_result($stmt) );


if ($valid) {

	
	//echo $sql;
	returnData($json);	
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	
	
}

function returnData($json){
	$returnData = array(
		'status' => 'SUCCESS',
		'message' => 'Successfully',
		'data' => $json);
		echo json_encode($returnData);
}

function returnError($error_message){
	$json = array();
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message,
	'data' => '');
	
	echo json_encode($returnData);	
	exit();	
		
}
	

 
?>